Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class CommandLineCompiler

    java.lang.Object
      org.apache.jasper.compiler.Compiler
          org.apache.jasper.compiler.CommandLineCompiler

All Implemented Interfaces:
  Mangler

public class CommandLineCompiler
extends Compiler
implements Mangler

Overrides some methods so that we get the desired effects.

Author:
  Danno Ferrin

Field Summary
`static java.lang.String[]` | `keywords`

Fields inherited from class org.apache.jasper.compiler.Compiler
`ctxt, javac, mangler`

Constructor Summary
`CommandLineCompiler(CommandLineContext ctxt)`

Method Summary
`void` | `computeJavaFileName()`
`java.lang.String` | `getClassFileName()` The full name of the .class file ( without version number)
`java.lang.String` | `getClassName()` The class name ( without package ) of the generated servlet, including the version number
`java.lang.String` | `getJavaFileName()` The full name of the .java file, including version number ( based on className and outputDir )
`java.lang.String` | `getPackageName()` The package name.
`boolean` | `isOutDated()` Always outDated.

Methods inherited from class org.apache.jasper.compiler.Compiler
`changeEncodingIfNecessary, compile, computeServletClassName, removeGeneratedFiles, setJavaCompiler, setMangler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keywords

    public static java.lang.String[] keywords

Constructor Detail

### CommandLineCompiler

    public CommandLineCompiler(CommandLineContext ctxt)

Method Detail

### isOutDated

    public boolean isOutDated()

  Always outDated. (Of course we are, this is an explicit invocation

  Overrides:
    `isOutDated` in class `Compiler`

### computeJavaFileName

    public final void computeJavaFileName()

### getPackageName

    public final java.lang.String getPackageName()

  Description copied from interface: `Mangler`
  The package name. It is based on the .jsp path, with all unsafe components escaped.

  Specified by:
    `getPackageName` in interface `Mangler`

### getClassName

    public final java.lang.String getClassName()

  Description copied from interface: `Mangler`
  The class name ( without package ) of the generated servlet, including the version number

  Specified by:
    `getClassName` in interface `Mangler`

### getJavaFileName

    public final java.lang.String getJavaFileName()

  Description copied from interface: `Mangler`
  The full name of the .java file, including version number ( based on className and outputDir )

  Specified by:
    `getJavaFileName` in interface `Mangler`

### getClassFileName

    public final java.lang.String getClassFileName()

  Description copied from interface: `Mangler`
  The full name of the .class file ( without version number)

  Specified by:
    `getClassFileName` in interface `Mangler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.